Bug 169821 - Package missing from repos, over-eager chmod to examples/
Summary: Package missing from repos, over-eager chmod to examples/
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-SOAP-Lite   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike McGrath
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE5Target
TreeView+ depends on / blocked
 
Reported: 2005-10-04 06:21 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-07 17:03:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ville Skyttä 2005-10-04 06:21:15 UTC
Hmm, perl-SOAP-Lite is not in the FE repositories, any reason for that?  Has  
it been approved yet?  (Cc'ing Jose as his name appears in the changelog.) 
   
Additionally, the chmod to examples/ is over-eager as it chmods dirs to 644   
too and causes %doc to fail.  Fix:   
   
diff -u -r1.1 perl-SOAP-Lite.spec   
--- perl-SOAP-Lite.spec 11 Apr 2005 22:42:45 -0000      1.1   
+++ perl-SOAP-Lite.spec 4 Oct 2005 06:18:58 -0000   
@@ -31,7 +31,7 @@   
 %patch0 -p1   
   
 # avoid dependencies   
-chmod 644 examples/*   
+find examples -type f | xargs chmod 644   
   
   
 %build

Comment 1 Ville Skyttä 2005-10-19 14:17:21 UTC
ping? 

Comment 2 Ville Skyttä 2005-10-26 18:23:06 UTC
Build fixed in CVS, but not tagged nor no builds requested. 
 
Comments from Hunter or Jose still needed, see initial comment. 

Comment 3 Jose Pedro Oliveira 2006-05-07 16:52:12 UTC
Cane we close this ticket?

Comment 4 Mike McGrath 2006-05-07 17:03:05 UTC
Sorry, I'll close it.  This is in FE now and I'm the current maintainer.

Comment 5 Jose Pedro Oliveira 2006-05-07 17:04:51 UTC
Thanks.


Note You need to log in before you can comment on or make changes to this bug.